<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    Wp_Dxp
 * @subpackage Wp_Dxp/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<div class="container-fluid pl-0 pr-0 wp-dxp-header-nav">

    <?php
    require_once plugin_dir_path( dirname( __FILE__ ) ) . '_other/wp-dxp-header-nav.php'; ?>

</div>

<section class="section mb-0 wp-dxp-body-content">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-12 col-lg-10 col-xl-8">
                <p class="section-description"><?php esc_html_e( 'Use our FAQ below to find answers to common questions. If you still don\'t find what you are looking for, then please feel free to contact us using the details provided below.', 'wp-dxp' ); ?></p>
            </div>
        </div>
    </div>
</section>

<section class="section mb-4">
    <div class="container-fluid">
        <div class="row">
            <div class="col-12 col-xl-8">
                <div class="accordion" id="accordionExample">
                    <div class="faq-item">
                        <div class="faq-header" id="headingOne">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                                    <span><?php esc_html_e( 'What is WP-DXP?', 'wp-dxp' ); ?></span>
                                    <span class="dashicons dashicons-arrow-down-alt2"></span>
                                </button>
                            </h2>
                        </div>

                        <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample">
                            <div class="faq-body">
                                <p><?php esc_html_e( 'WP-DXP is a WordPress plugin designed to add personalization features and options, and DXP is an acronym for Digital Experience Platform.', 'wp-dxp' ); ?></p>
                                <p><?php esc_html_e( 'It follows similar principles to Enterprise platforms such as Episerver, Optimizely and Sitecore and works in conjunction with the Gutenberg block editor to provide a simple and clear pathway to this functionality for content authors and admins.', 'wp-dxp' ); ?></p>
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingTwo">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                                    <span><?php esc_html_e( 'What can I use it for?', 'wp-dxp' ); ?></span>
                                    <span class="dashicons dashicons-arrow-down-alt2"></span>
                                </button>
                            </h2>
                        </div>
                        <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                            <div class="faq-body">
                                <p><?php esc_html_e( 'You can use WP-DXP to personalize content to your users, based on actions that they have taken, or criteria such as which countries they are accessing your site from.', 'wp-dxp' ); ?></p>
                                <p><?php esc_html_e( 'We have included basic rules into the plugin to provide a starting point, and if you have plugins such as WooCommerce or Gravity Forms installed, you gain access to more.', 'wp-dxp' ); ?></p>
                                <p><?php esc_html_e( 'Additionally, you can add your own rules, based on a set of conditions, and then apply those to any blocks you wish.', 'wp-dxp' ); ?></p>
                                <p><?php esc_html_e( 'Available rules out of the box include the ability to show or hide blocks if:', 'wp-dxp' ); ?></p>
                                <ul>
                                    <li><?php esc_html_e( 'If a user is logged in or not', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'The user is, or is not, from a specific country', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'When a certain amount of time has passed', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'The user is new to the site or is returning', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'Users are using a mobile, tablet or desktop device', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'A user is visiting at a specific time or period of the day', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'NEW - The user has been referred from a specific site (i.e. Facebook, Google)', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'NEW - It is before or after, or between, specific dates (i.e. Christmas holidays)', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'NEW - A cookie is set to a particular value or empty', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'NEW - There is a specific query string or parameter in the URL', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'NEW - The user has a specific WordPress role type', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'If they have purchased a product from your WooCommerce Store', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'If they have completed a Ninja Form on your site', 'wp-dxp' ); ?></li>
                                    <li><?php esc_html_e( 'If they have completed a Gravity Form on your site', 'wp-dxp' ); ?></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingThree">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                                    <span><?php esc_html_e( 'How do I use WP-DXP?', 'wp-dxp' ); ?></span>
                                    <span class="dashicons dashicons-arrow-down-alt2"></span>
                                </button>
                            </h2>
                        </div>
                        <div id="collapseThree" class="collapse" aria-labelledby="headingThree" data-parent="#accordionExample">
                            <div class="faq-body">
                                <p><?php esc_html_e( 'Once you have the plugin installed and activated, a WP-DXP option will appear in the Block Settings sidebar in the Gutenberg Editor when you are editing a block.', 'wp-dxp' ); ?></p>
                                <p><?php esc_html_e( 'Within this, you will be given the choice to choose a rule and determine an action if that rule is met.', 'wp-dxp' ); ?></p>
                                <p><?php esc_html_e( 'For instance, you may wish to add a content block with a message that is only shown to the user if they come from a particular country, or if they have purchased a product from your store. Feel free to play around, and let us know if you think what more we could add as default rules out of the box.', 'wp-dxp' ); ?></p>
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingFour">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                                    <span><?php esc_html_e( 'Are there any limitations?', 'wp-dxp' ); ?></span>
                                    <span class="dashicons dashicons-arrow-down-alt2"></span>
                                </button>
                            </h2>
                        </div>
                        <div id="collapseFour" class="collapse" aria-labelledby="headingFour" data-parent="#accordionExample">
                            <div class="faq-body">
                                <p><?php esc_html_e( 'The actions that you can take when a rule is met, are currently limited to Show or Hide a block. We will be adding new actions in a future release.', 'wp-dxp' ); ?></p>
                                <p><?php esc_html_e( 'The plugin does not work with the Classic Block - which is due to be deprecated. You can use the Convert to Blocks feature to transform the Classic Block into independent Gutenberg blocks, which can then take advantage of WP-DXP.', 'wp-dxp' ); ?></p>
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingFive">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseFive" aria-expanded="false" aria-controls="collapseFive">
                                    <span><?php esc_html_e( 'Will the plugin always be free to use?', 'wp-dxp' ); ?></span>
                                    <span class="dashicons dashicons-arrow-down-alt2"></span>
                                </button>
                            </h2>
                        </div>
                        <div id="collapseFive" class="collapse" aria-labelledby="headingFive" data-parent="#accordionExample">
                            <div class="faq-body">
                                <p><?php esc_html_e( 'We will always have a free version of the plugin, but in the future it is likely that we will add a Pro version which will offer additional features. At this stage, we cannot tell you what these features will be or how much it will cost, but anything included in the Free version of the plugin will be free forever.', 'wp-dxp' ); ?></p>
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingSix">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseSix" aria-expanded="false" aria-controls="collapseSix">
                                    <span><?php esc_html_e( 'How are you determining the location of a site visitor?', 'wp-dxp' ); ?></span>
                                    <span class="dashicons dashicons-arrow-down-alt2"></span>
                                </button>
                            </h2>
                        </div>
                        <div id="collapseSix" class="collapse" aria-labelledby="headingSix" data-parent="#accordionExample">
                            <div class="faq-body">
                                <p>
                                <?php
                                printf(
                                    /* translators: 1: %s expands to a website link to MaxMind, 2: </a> closing tag. */
                                    esc_html__( 'This product includes GeoLite2 data created by MaxMind, available from %1$shttps://www.maxmind.com%2$s. We use the GeoLite2 Country database file, and include it as part of the plugin. You can update the file yourself if you wish to.', 'wp-dxp' ),
                                    '<a href="https://www.maxmind.com" rel="noopener noreferrer" class="text-link">',
                                    '</a>'
                                );
                                ?>
                                </p>
                            </div>
                        </div>
                    </div>
                    <div class="faq-item">
                        <div class="faq-header" id="headingSeven">
                            <h2 class="mb-0">
                                <button class="btn btn-link btn-block text-left collapsed" type="button" data-toggle="collapse" data-target="#collapseSeven" aria-expanded="false" aria-controls="collapseSeven">
                                    <span><?php esc_html_e( 'Do you have a roadmap?', 'wp-dxp' ); ?></span>
                                    <span class="dashicons dashicons-arrow-down-alt2"></span>
                                </button>
                            </h2>
                        </div>
                        <div id="collapseSeven" class="collapse" aria-labelledby="headingSeven" data-parent="#accordionExample">
                            <div class="faq-body">
                                <p><?php esc_html_e( 'We have an internal roadmap that we are using to develop new features - including additional rules, A-B Testing, profile scoring features, and integration with other plugins and commercial platforms.', 'wp-dxp' ); ?></p>
                                <p><?php esc_html_e( 'We will also be developing new conditions and pre-built rules, and exploring how we can provide detailed reporting. If you have any suggestions on what we should consider adding, please feel free to get in touch using the details in the Support and Feedback section below.', 'wp-dxp' ); ?></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="section mb-0">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-12 col-lg-10 col-xl-8 d-inline-flex align-items-center justify-content-between">
                <h2 class="h4 section-title mb-2"><?php esc_html_e( 'Support, Feedback and Other Queries', 'wp-dxp' ); ?></h2>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-12 col-lg-10 col-xl-8">
                <p class="section-description">
                    <?php
                    printf(
                        /* translators: 1: %s expands to a mailto support link, 2: </a> closing tag. */
                        esc_html__( 'If you have not managed to find what you are looking for in the FAQ above, then please feel free to email us at %1$sFilter Support%2$s and we will try to help out. In your email, please try and provide as much information as you can, including what version of WordPress you are using and the version of WP-DXP that you have installed.', 'wp-dxp' ),
                        '<a href="mailto:support@filter-digital.com?&subject=WP-DXP Query" class="text-link">',
                        '</a>'
                    );
                    ?>
                </p>
                <p class="section-description"><?php esc_html_e( 'As this is a free plugin, we may take up to 72 hours to respond to any support requests, but we are genuinely interested in hearing about any issues you may have, or any feedback you would like to provide. We are a friendly bunch and just trying to do good things for nice people, and like to be treated, and treat others, with respect at all times.', 'wp-dxp' ); ?></p>
            </div>
        </div>
    </div>
</section>

<section class="section mb-0">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-12 col-lg-10 d-inline-flex align-items-center justify-content-between">
                <h2 class="h4 section-title mb-2"><?php esc_html_e( 'Credits', 'wp-dxp' ); ?></h2>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-12 col-xl-10">
                <p class="section-description">
                    <?php
                    printf(
                        /* translators: 1: %s expands to a website link to Filter, 2: </a> closing tag, 3: %s expands to a website link to Filter about WP-DXP, 4: </a> closing tag. */
                        esc_html__( 'WP-DXP is authored and developed by %1$sFilter%2$s, a digital agency experienced in web and mobile solutions. More information on WP-DXP can be found %3$shere%4$s.', 'wp-dxp' ),
                        '<a href="https://filter.agency" class="text-link" target="_blank" rel="noopener noreferrer">',
                        '</a>',
                        '<a href="https://filter.agency/about/wp-dxp/" class="text-link" target="_blank" rel="noopener noreferrer">',
                        '</a>'
                    );
                    ?>
                </p>
            </div>
        </div>
    </div>
</section>

<?php
require_once plugin_dir_path( dirname( __FILE__ ) ) . '_other/wp-dxp-footer.php';
