<?php
class Wp_Dxp_Condition_Core_Is_Thomas_Test extends Wp_Dxp_Base_Condition {

	public $description = "Thomas test";

	public $identifier = 'core_is_thomas_test';

	public $category = 'Core';

	/**
	 * Constructor
	 */
	public function __construct() {
		parent::__construct();

		$this->comparators = [
			'equals' => 'Is',
			'does_not_equal' => 'Is Not',
		];
	}

	/**
	 * Test data against condition
	 * @param  string $comparator
	 * @return boolean
	 */
	public function matchesCriteria($comparator, $value, $action)
	{
		switch ($comparator) {
			case 'equals':
				return $this->comparatorEquals($value);
			case 'does_not_equal':
				return !$this->comparatorEquals($value);
		}

		return false;
	}

	/**
	 * "Equal" test
	 * @return boolean
	 */
	public function comparatorEquals($value)
	{
		return true;
	}
}