<?php
class Wp_Dxp_Dependency_Woocommerce_Activated extends Wp_Dxp_Base_Dependency {

	/**
	 * Constructor
	 */
	public function __construct()
	{
		parent::__construct(
			sprintf( 
				/* translators: 1: %s plugin name. */
				__( '%s must be installed & activated', 'wp-dxp' ),
				'WooCommerce'
			),
			sprintf( 
				/* translators: 1: %s plugin name. */
				__( '%s is installed and activated', 'wp-dxp' ),
				'WooCommerce'
			),
			sprintf( 
				/* translators: 1: %s plugin name. */
				__( '%s is either not installed or not activated', 'wp-dxp' ),
				'WooCommerce'
			)
		);
	}

	/**
	 * Execute test to check if dependency is met
	 * @return boolean
	 */
	public function verify()
	{
		return class_exists('WooCommerce');
		//return is_plugin_active('woocommerce/woocommerce.php');
	}

}